<?php
/**
 * The template for displaying Archive pages
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * If you'd like to further customize these archive views, you may create a
 * new template file for each specific one.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 */

$sweetmielo_sidebar_hidden = false;
$sweetmielo_layout = 'classic';

get_header(); ?>
<div class="inner-page margin-default">
	<div class="row">
        <div class="col-lg-8 col-md-8">
            <div class="blog blog-block layout-<?php echo esc_attr($sweetmielo_layout); ?>">
				<?php

				if ( $wp_query->have_posts() ) :

	            	echo '<div class="row">';
					while ( $wp_query->have_posts() ) : the_post();

						// Showing classic blog without framework
						if ( !function_exists( 'fw_get_db_settings_option' ) ) {

							get_template_part( 'tmpl/content-post-one-col' );
						}
							else {

							set_query_var( 'sweetmielo_layout', $sweetmielo_layout );

							if ($sweetmielo_layout == 'three-cols') {

								get_template_part( 'tmpl/content-post-three-cols' );
							}
								else
							if ($sweetmielo_layout == 'two-cols') {

								get_template_part( 'tmpl/content-post-two-cols' );
							}
								else {

								get_template_part( 'tmpl/content-post-one-col' );
							}
						}

					endwhile;
					echo '</div>';
				else :
					// If no content, include the "No posts found" template.
					get_template_part( 'tmpl/content', 'none' );

				endif;

				?>
				<?php
				if ( have_posts() ) {

					sweetmielo_paging_nav();
				}
	            ?>
	        </div>
	    </div>
	    <?php
	    if ( !$sweetmielo_sidebar_hidden ) {

            	get_sidebar();
	    }
	    ?>
	</div>
</div>
<?php

get_footer();

