<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$descr = '';

$options = array(
	'general' => array(
		'title'   => esc_html__( 'General', 'sweetmielo' ),
		'type'    => 'tab',
		'options' => array(
			'general-box' => array(
				'title'   => esc_html__( 'General Settings', 'sweetmielo' ),
				'type'    => 'box',
				'options' => array(			
					'logo'    => array(
						'label' => esc_html__( 'Logo', 'sweetmielo' ),
						'type'  => 'upload',
					),
					'logo-white'    => array(
						'label' => esc_html__( 'Logo White', 'sweetmielo' ),
						'type'  => 'upload',
					),			
					'logo-invert'    => array(
						'label' => esc_html__( 'Logo Inverted', 'sweetmielo' ),
						'type'  => 'upload',
					),								
					'theme-icon-main'    => array(
						'label' => esc_html__( 'Theme Icon Main', 'sweetmielo' ),
						'desc'  => esc_html__( 'Pattern used under headers', 'sweetmielo' ),
						'type'  => 'upload',
					),										
					'theme-icon-second'    => array(
						'label' => esc_html__( 'Theme Icon Second', 'sweetmielo' ),
						'desc'  => esc_html__( 'Pattern used under headers', 'sweetmielo' ),
						'type'  => 'upload',
					),
					'page-loader'    => array(
						'type'    => 'multi-picker',
						'picker'       => array(
							'loader' => array(
								'label'   => esc_html__( 'Page Loader', 'sweetmielo' ),
								'type'    => 'select',
								'choices' => array(
									'disabled' => esc_html__( 'Disabled', 'sweetmielo' ),
									'image' => esc_html__( 'Image', 'sweetmielo' ),
									'enabled' => esc_html__( 'Enabled', 'sweetmielo' ),
								),
								'value' => 'enabled'
							)
						),						
						'choices' => array(
							'image' => array(
								'loader_img'    => array(
									'label' => esc_html__( 'Page Loader Image', 'sweetmielo' ),
									'type'  => 'upload',
								),
							),
						),
						'value' => 'enabled',
					),											
					'wc_zoom'    => array(
						'label' => esc_html__( 'WooCommerce Product Hover Zoom', 'sweetmielo' ),
						'type'    => 'select',
						'desc'   => esc_html__( 'Enables mouse hover zoom in single product page', 'sweetmielo' ),
						'choices' => array(
							'disabled'  => esc_html__( 'Disabled', 'sweetmielo' ),
							'enabled' => esc_html__( 'Enabled', 'sweetmielo' ),
						),
						'value' => 'disabled',
					),
					'google_api'    => array(
						'label' => esc_html__( 'Google Maps API Key', 'sweetmielo' ),
						'desc'  => esc_html__( 'Required for contacts page, also used in widget', 'sweetmielo' ),
						'type'  => 'text',
					),								
				),
			),
		),
	),
	'layout' => array(
		'title'   => esc_html__( 'Posts Layout', 'sweetmielo' ),
		'type'    => 'tab',
		'options' => array(

			'layout-box' => array(
				'title'   => esc_html__( 'Default settings', 'sweetmielo' ),
				'type'    => 'box',
				'options' => array(

					'blog_layout'    => array(
						'label' => esc_html__( 'Blog Layout', 'sweetmielo' ),
						'desc'   => esc_html__( 'Default blog page layout.', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'classic'  => esc_html__( 'One Column', 'sweetmielo' ),
							'two-cols' => esc_html__( 'Two Columns', 'sweetmielo' ),
							'three-cols' => esc_html__( 'Three Columns', 'sweetmielo' ),
						),
						'value' => 'classic',
					),				
					'blog_list_sidebar'    => array(
						'label' => esc_html__( 'Blog List Sidebar', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'hidden'  => esc_html__( 'Hidden', 'sweetmielo' ),
							'left' => esc_html__( 'Left', 'sweetmielo' ),
							'right' => esc_html__( 'Right', 'sweetmielo' ),
						),
						'value' => 'right',
					),				
					'blog_post_sidebar'    => array(
						'label' => esc_html__( 'Blog Post Sidebar', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'hidden'  => esc_html__( 'Hidden', 'sweetmielo' ),
							'left' => esc_html__( 'Left', 'sweetmielo' ),
							'right' => esc_html__( 'Right', 'sweetmielo' ),
						),
						'value' => 'right',
					),		
					'services_list_layout'    => array(
						'label' => esc_html__( 'Services List Layout', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'classic'  => esc_html__( 'One Column', 'sweetmielo' ),
							'two-cols' => esc_html__( 'Two Columns', 'sweetmielo' ),
							'three-cols' => esc_html__( 'Three Columns', 'sweetmielo' ),
						),
						'value' => 'two-cols',
					),						
					'services_list_sidebar'    => array(
						'label' => esc_html__( 'Services List Sidebar', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'hidden'  => esc_html__( 'Hidden', 'sweetmielo' ),
							'left' => esc_html__( 'Left', 'sweetmielo' ),
							'right' => esc_html__( 'Right', 'sweetmielo' ),
						),
						'value' => 'hidden',
					),				
					'services_post_sidebar'    => array(
						'label' => esc_html__( 'Services Post Sidebar', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'hidden'  => esc_html__( 'Hidden', 'sweetmielo' ),
							'left' => esc_html__( 'Left', 'sweetmielo' ),
							'right' => esc_html__( 'Right', 'sweetmielo' ),
						),
						'value' => 'hidden',
					),																					
					'gallery_layout'    => array(
						'label' => esc_html__( 'Default Gallery Layout', 'sweetmielo' ),
						'desc'   => esc_html__( 'Default galley page layout.', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'col-2' => esc_html__( 'Two Columns', 'sweetmielo' ),
							'col-3' => esc_html__( 'Three Columns', 'sweetmielo' ),
							'col-4' => esc_html__( 'Four Columns', 'sweetmielo' ),
						),
						'value' => 'col-2',
					),	
					'shop_list_sidebar'    => array(
						'label' => esc_html__( 'WooCommerce List Sidebar', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'hidden'  => esc_html__( 'Hidden', 'sweetmielo' ),
							'left' => esc_html__( 'Left', 'sweetmielo' ),
							'right' => esc_html__( 'Right', 'sweetmielo' ),
						),
						'value' => 'left',
					),				
					'shop_post_sidebar'    => array(
						'label' => esc_html__( 'WooCommerce Product Sidebar', 'sweetmielo' ),
						'desc'   => esc_html__( 'Blog Post Sidebar', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'hidden'  => esc_html__( 'Hidden', 'sweetmielo' ),
							'left' => esc_html__( 'Left', 'sweetmielo' ),
							'right' => esc_html__( 'Right', 'sweetmielo' ),
						),
						'value' => 'hidden',
					),							
					'excerpt_auto'    => array(
						'label' => esc_html__( 'Excerpt Blog Size', 'sweetmielo' ),
						'desc'  => esc_html__( 'Automaticly cuts content for blogs', 'sweetmielo' ),
						'value'	=> 350,
						'type'  => 'short-text',
					),
					'excerpt_wc_auto'    => array(
						'label' => esc_html__( 'Excerpt WooCommerce Size', 'sweetmielo' ),
						'desc'  => esc_html__( 'Automaticly cuts description for products', 'sweetmielo' ),
						'value'	=> 50,
						'type'  => 'short-text',
					),						
				)
			)
		)
	),
	'fonts' => array(
		'title'   => esc_html__( 'Fonts', 'sweetmielo' ),
		'type'    => 'tab',
		'options' => array(

			'fonts-box' => array(
				'title'   => esc_html__( 'Fonts Settings', 'sweetmielo' ),
				'type'    => 'box',
				'options' => array(
					'font-text'                => array(
						'label' => __( 'Paragraph (text) Font', 'sweetmielo' ),
						'type'  => 'typography-v2',
						'desc'	=>	esc_html__( 'Use https://fonts.google.com/ to find font you need', 'sweetmielo' ),
						'value'      => array(
							'family'    => 'Raleway',
							'subset'    => 'latin-ext',
							'variation' => 'regular',
							'size'      => 0,
							'line-height' => 0,
							'letter-spacing' => 0,
							'color'     => '#000'
						),
						'components' => array(
							'family'         => true,
							'size'           => false,
							'line-height'    => false,
							'letter-spacing' => false,
							'color'          => false
						),
					),
					'font-text-weights'    => array(
						'label' => esc_html__( 'Additonal weights', 'sweetmielo' ),
						'desc'  => esc_html__( 'Coma separates weights, for example: "800,900"', 'sweetmielo' ),
						'type'  => 'text',
						'value'  => '400i,700',							
					),											
					'font-headers'                => array(
						'label' => __( 'Headers Font', 'sweetmielo' ),
						'type'  => 'typography-v2',
						'value'      => array(
							'family'    => 'Signika',
							'subset'    => 'latin-ext',
							'variation' => '700',
							'size'      => 0,
							'line-height' => 0,
							'letter-spacing' => 0,
							'color'     => '#000'
						),
						'components' => array(
							'family'         => true,
							'size'           => false,
							'line-height'    => false,
							'letter-spacing' => false,
							'color'          => false
						),
					),
					'font-headers-weights'    => array(
						'label' => esc_html__( 'Additonal weights', 'sweetmielo' ),
						'desc'  => esc_html__( 'Coma separates weights, for example: "600,800"', 'sweetmielo' ),
						'type'  => 'text',
						'value'  => '',						
					),					
				),
			),
		),
	),	
	'header' => array(
		'title'   => esc_html__( 'Header', 'sweetmielo' ),
		'type'    => 'tab',
		'options' => array(

			'header-box' => array(
				'title'   => esc_html__( 'Header Settings', 'sweetmielo' ),
				'type'    => 'box',
				'options' => array(

					'topbar'    => array(
						'label' => esc_html__( 'Topbar visibility', 'sweetmielo' ),
						'desc'   => esc_html__( 'You can edit topbar layout in Sections menu', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'hidden' => esc_html__( 'Hidden', 'sweetmielo' ),
							'visible'  => esc_html__( 'Visible', 'sweetmielo' ),
						),
						'value' => 'hidden',
					),	

					'navbar-default'    => array(
						'label' => esc_html__( 'Navbar Default', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'desktop'	=> esc_html__( 'Default', 'sweetmielo' ),
							'dashed'	=> esc_html__( 'White Dashed', 'sweetmielo' ),
							'transparent'	=> esc_html__( 'Transparent', 'sweetmielo' ),
							'desktop-center'	=> esc_html__( 'Center Logo', 'sweetmielo' ),
							'desktop-center-absolute'	=> esc_html__( 'Center Logo Transparent', 'sweetmielo' ),
							'logo'	=> esc_html__( 'Logo Only', 'sweetmielo' ),							
						),
						'value' => 'desktop',
					),	

					'navbar-affix'    => array(
						'label' => esc_html__( 'Navbar Sticked', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'' => esc_html__( 'All Static', 'sweetmielo' ),
							'affix'  => esc_html__( 'Desktop Sticked', 'sweetmielo' ),
						),
						'value' => '',
					),	

					'basket-icon'    => array(
						'label' => esc_html__( 'Basket icon in navbar', 'sweetmielo' ),
						'desc'   => esc_html__( 'As replacement for basket in topbar in mobile view', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'disabled' => esc_html__( 'Hidden', 'sweetmielo' ),
							'mobile'  => esc_html__( 'Visible on Mobile', 'sweetmielo' ),
						),
						'value' => 'disabled',
					),					
					'pageheader-display'    => array(
						'label' => esc_html__( 'Page Header Visibility', 'sweetmielo' ),
						'desc'   => esc_html__( 'Status of Page Header with H1 and Breadcrumbs', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'default' => esc_html__( 'Default', 'sweetmielo' ),
							'disabled'  => esc_html__( 'Force Hidden on all Pages', 'sweetmielo' ),
						),
						'value' => 'fixed',
					),					
					'header_bg'    => array(
						'label' => esc_html__( 'Inner Header Background', 'sweetmielo' ),
						'desc'  => esc_html__( 'By default header is gray, you can replace it with background image', 'sweetmielo' ),
						'type'  => 'upload',
					),  				
					'header_fixed'    => array(
						'label' => esc_html__( 'Background parallax', 'sweetmielo' ),
						'desc'   => esc_html__( 'Parallax effect requires large images', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'disabled' => esc_html__( 'Disabled', 'sweetmielo' ),
							'fixed'  => esc_html__( 'Enabled', 'sweetmielo' ),
						),
						'value' => 'fixed',
					),
					'header_position'    => array(
						'label' => esc_html__( 'Background images position X Y', 'sweetmielo' ),
						'desc'   => esc_html__( 'For example "50% 50%"', 'sweetmielo' ),
						'type'    => 'text',
						'value' => '50% -50%',
					),										        
					'featured_bg'    => array(
						'label' => esc_html__( 'Featured Images as Background', 'sweetmielo' ),
						'desc'  => esc_html__( 'Use Featured Image for Page as Header Background', 'sweetmielo' ),
						'type'    => 'select',						
						'choices' => array(
							'disabled'  => esc_html__( 'Disabled', 'sweetmielo' ),
							'enabled' => esc_html__( 'Enabled', 'sweetmielo' ),
						),
						'value' => 'disabled',
					),	
					'header_overlay'    => array(
						'label' => esc_html__( 'Inner Header Overlay', 'sweetmielo' ),
						'desc'  => esc_html__( 'Image will be placed over pages header', 'sweetmielo' ),
						'type'  => 'upload',
					),
					'header_position_overlay'    => array(
						'label' => esc_html__( 'Overlay image position X Y', 'sweetmielo' ),
						'desc'   => esc_html__( 'For example "50% 50%"', 'sweetmielo' ),
						'type'    => 'text',
						'value' => '100% -20px',
					),						
					'navbar-icons' => array(
		                'label' => esc_html__( 'Topbar Icons', 'sweetmielo' ),
		                'desc' => esc_html__( 'Visible at navbar area', 'sweetmielo' ),
		                'type' => 'addable-box',
		                'value' => array(),
		                'box-options' => array(
							'type'        => array(
								'type'         => 'multi-picker',
								'label'        => false,
								'desc'         => false,
								'picker'       => array(
									'type_radio' => array(
										'label'   => esc_html__( 'Type', 'sweetmielo' ),
										'type'    => 'radio',
										'choices' => array(
											'search' => esc_html__( 'Search', 'sweetmielo' ),
											'basket'  => esc_html__( 'WooCommerce Cart', 'sweetmielo' ),
											'profile'  => esc_html__( 'User Profile', 'sweetmielo' ),
											'social'  => esc_html__( 'Social Icon', 'sweetmielo' ),
										),
									)
								),
								'choices'      => array(
									'basket'  => array(
										'count'    => array(
											'label' => esc_html__( 'Count', 'sweetmielo' ),
											'type'    => 'select',
											'choices' => array(
												'show' => esc_html__( 'Show count label', 'sweetmielo' ),
												'hide'  => esc_html__( 'Hide count label', 'sweetmielo' ),
											),
											'value' => 'show',
										),											
									),
									'profile'  => array(
					                    'header' => array(
					                        'label' => esc_html__( 'Non-logged header', 'sweetmielo' ),
					                        'type' => 'text',
					                        'value' => '',
					                    ),										
									),
									'social'  => array(
					                    'text' => array(
					                        'label' => esc_html__( 'Label', 'sweetmielo' ),
					                        'type' => 'text',
					                    ),
					                    'href' => array(
					                        'label' => esc_html__( 'External Link', 'sweetmielo' ),
					                        'type' => 'text',
					                        'value' => '#',
					                    ),											
									),		
								),
								'show_borders' => false,
							),	  														                	
							'icon-type'        => array(
								'type'         => 'multi-picker',
								'label'        => false,
								'desc'         => false,
								'value'        => array(
									'icon_radio' => 'default',
								),
								'picker'       => array(
									'icon_radio' => array(
										'label'   => esc_html__( 'Icon', 'sweetmielo' ),
										'type'    => 'radio',
										'choices' => array(
											'default'  => esc_html__( 'Default', 'sweetmielo' ),
											'fa' => esc_html__( 'FontAwesome', 'sweetmielo' )
										),
										'desc'    => esc_html__( 'For social icons you need to use FontAwesome in any case.',
											'sweetmielo' ),
									)
								),
								'choices'      => array(
									'default'  => array(
									),
									'fa' => array(
										'icon_v2'  => array(
											'type'  => 'icon-v2',
											'label' => esc_html__( 'Select Icon', 'sweetmielo' ),
										),										
									),
								),
								'show_borders' => false,
							),
							'icon-visible'        => array(
								'label'   => esc_html__( 'Visibility', 'sweetmielo' ),
								'type'    => 'radio',
								'value'    => 'hidden-mob',								
								'choices' => array(
									'hidden-mob'  => esc_html__( 'Hidden on mobile', 'sweetmielo' ),
									'visible-mob' => esc_html__( 'Visible on mobile', 'sweetmielo' )
								),
							),							
		                ),
                		'template' => '{{- type.type_radio }}',		                
                    ),		
				),
			),
		),
	),	
	'social' => array(
		'title'   => esc_html__( 'Social', 'sweetmielo' ),
		'type'    => 'tab',
		'options' => array(
			'social-box' => array(
				'title'   => esc_html__( 'Social', 'sweetmielo' ),
				'type'    => 'box',
				'options' => array(			
					'header-social'    => array(
						'label' => esc_html__( 'Social icons in page header', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'disabled'  => esc_html__( 'Disabled', 'sweetmielo' ),
							'enabled' => esc_html__( 'Enabled', 'sweetmielo' ),
						),
						'value' => 'enabled',
					),	
					'header-social-text'    => array(
						'label' => esc_html__( 'Follow us text in header icons', 'sweetmielo' ),
						'type'    => 'text',
					),	
					'footer-social'    => array(
						'label' => esc_html__( 'Social icons in footer', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'disabled'  => esc_html__( 'Disabled', 'sweetmielo' ),
							'enabled' => esc_html__( 'Enabled', 'sweetmielo' ),
						),
						'value' => 'enabled',
					),		
					'target-social'    => array(
						'label' => esc_html__( 'Open social links in', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'self'  => esc_html__( 'Same window', 'sweetmielo' ),
							'blank' => esc_html__( 'New window', 'sweetmielo' ),
						),
						'value' => 'self',
					),										
		            'social-icons' => array(
		                'label' => esc_html__( 'Socail Icons', 'sweetmielo' ),
		                'type' => 'addable-box',
		                'value' => array(),
		                'desc' => esc_html__( 'Visible in inner page header', 'sweetmielo' ),
		                'box-options' => array(
		                    'icon_v2' => array(
		                        'label' => esc_html__( 'Icon', 'sweetmielo' ),
		                        'type'  => 'icon-v2',
		                    ),
		                    'text' => array(
		                        'label' => esc_html__( 'Text', 'sweetmielo' ),
		                        'desc' => esc_html__( 'If needed', 'sweetmielo' ),
		                        'type' => 'text',
		                    ),
		                    'href' => array(
		                        'label' => esc_html__( 'Link', 'sweetmielo' ),
		                        'type' => 'text',
		                        'value' => '#',
		                    ),		                    
		                ),
                		'template' => '{{- text }}',		                
                    ),								
				),
			),
		),
	),
	'footer' => array(
		'title'   => esc_html__( 'Footer', 'sweetmielo' ),
		'type'    => 'tab',
		'options' => array(

			'footer-box' => array(
				'title'   => esc_html__( 'Footer Settings', 'sweetmielo' ),
				'type'    => 'box',
				'options' => array(	
					'subscribe'    => array(
						'label' => esc_html__( 'Subscribe Block', 'sweetmielo' ),
						'desc'   => esc_html__( 'You must install MailChimp plugin to use it', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'default' => esc_html__( 'Default page settings', 'sweetmielo' ),
							'visible'  => esc_html__( 'Always visible', 'sweetmielo' ),
							'hidden'  => esc_html__( 'Always hidden', 'sweetmielo' ),
						),
						'value' => 'default',
					),		
					'subscribe_bg'    => array(
						'label' => esc_html__( 'Subscribe Background', 'sweetmielo' ),
						'type'  => 'upload',
					),						
					'footer_top_layout'    => array(
						'label' => esc_html__( 'Footer Logo Area', 'sweetmielo' ),
						'desc'   => esc_html__( 'Contains Logo and social icons', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'visible'  => esc_html__( 'Visible', 'sweetmielo' ),
							'hidden'  => esc_html__( 'Hidden', 'sweetmielo' ),
						),
						'value' => 'visible',
					),						
					'footer_top_bg'    => array(
						'label' => esc_html__( 'Footer Logo Area Background', 'sweetmielo' ),
						'type'  => 'upload',
					),						
					'footer_bg'    => array(
						'label' => esc_html__( 'Footer Widgets Background', 'sweetmielo' ),
						'desc'   => esc_html__( 'Widgets area will be hidden if no widgets activated', 'sweetmielo' ),						
						'type'  => 'upload',
					),																	
					'footer_1_hide'    => array(
						'label' => esc_html__( 'Hide Footer 1 Widget', 'sweetmielo' ),
						'type'  => 'checkbox',
						'value'	=> 'true',
					),
					'footer_2_hide'    => array(
						'label' => esc_html__( 'Hide Footer 2 Widgets', 'sweetmielo' ),
						'type'  => 'checkbox',
						'value'	=> 'true',
					),
					'footer_3_hide'    => array(
						'label' => esc_html__( 'Hide Footer 3 Widgets', 'sweetmielo' ),
						'type'  => 'checkbox',
						'value'	=> 'true',
					),
					'footer_4_hide'    => array(
						'label' => esc_html__( 'Hide Footer 4 Widgets', 'sweetmielo' ),
						'type'  => 'checkbox',
						'value'	=> 'true',
					),						
					'footer_1_hide_mobile'    => array(
						'label' => esc_html__( 'Hide Footer 1 Widgets on mobile', 'sweetmielo' ),
						'type'  => 'switch',
						'value'	=> 'no',
					),
					'footer_2_hide_mobile'    => array(
						'label' => esc_html__( 'Hide Footer 2 Widgets on mobile', 'sweetmielo' ),
						'type'  => 'switch',
						'value'	=> 'yes',
					),
					'footer_3_hide_mobile'    => array(
						'label' => esc_html__( 'Hide Footer 3 Widgets on mobile', 'sweetmielo' ),
						'type'  => 'switch',
						'value'	=> 'no',
					),
					'footer_4_hide_mobile'    => array(
						'label' => esc_html__( 'Hide Footer 4 Widgets on mobile', 'sweetmielo' ),
						'type'  => 'switch',
						'value'	=> 'yes',
					),	
					'go_top_img'    => array(
						'label' => esc_html__( 'Go Top Image', 'sweetmielo' ),
						'type'  => 'upload',
					),					
					'go_top_hide'    => array(
						'label' => esc_html__( 'Hide Go Top button in footer', 'sweetmielo' ),
						'type'  => 'switch',
						'value'	=> 'no',
					),			
					'copyrights'    => array(
						'label' => esc_html__( 'Copyrights', 'sweetmielo' ),
						'type'  => 'wp-editor',
					),									
				),
			),
		),
	),
	'colors' => array(
		'title'   => esc_html__( 'Additional Colors Schemes', 'sweetmielo' ),
		'type'    => 'tab',
		'options' => array(
			'schemes-box' => array(
				'title'   => esc_html__( 'Additional Color Schemes Settings', 'sweetmielo' ),
				'type'    => 'box',
				'options' => array(

					'items' => array(
						'label' => esc_html__( 'Theme Color Schemes', 'sweetmielo' ),
						'type' => 'addable-box',
						'value' => array(),
						'desc' => esc_html__( 'Can be selected in page settings', 'sweetmielo' ),
						'box-options' => array(
							'slug' => array(
								'label' => esc_html__( 'Scheme ID', 'sweetmielo' ),
								'type' => 'text',
								'desc' => esc_html__( 'Required Field', 'sweetmielo' ),
								'value' => '',
							),							
							'name' => array(
								'label' => esc_html__( 'Scheme Name', 'sweetmielo' ),
								'desc' => esc_html__( 'Required Field', 'sweetmielo' ),
								'type' => 'text',
								'value' => '',
							),
/*							
							'logo'    => array(
								'label' => esc_html__( 'Logo', 'sweetmielo' ),
								'type'  => 'upload',
							),					
							'logo-white'    => array(
								'label' => esc_html__( 'Logo White', 'sweetmielo' ),
								'type'  => 'upload',
							),																
*/							
							'main-color'  => array(
								'label' => esc_html__( 'Main Color', 'sweetmielo' ),
								'type'  => 'color-picker',
							),
							'second-color' => array(
								'label' => esc_html__( 'Second Color', 'sweetmielo' ),
								'type'  => 'color-picker',
							),
							'gray-color' => array(
								'label' => esc_html__( 'Gray Color', 'sweetmielo' ),
								'type'  => 'color-picker',
							),								
							'black-color' => array(
								'label' => esc_html__( 'Black Color', 'sweetmielo' ),
								'type'  => 'color-picker',
							),	
							'white-color' => array(
								'label' => esc_html__( 'White Color', 'sweetmielo' ),
								'type'  => 'color-picker',
							),								
						),
						'template' => '{{- name }}',
					),
				),
			),
		),
	),
);

