<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$sweetmielo_choices =  array();
$sweetmielo_choices['default'] = esc_html__( 'Default', 'sweetmielo' );
$sweetmielo_color_schemes = fw_get_db_settings_option( 'items' );
if ( !empty($sweetmielo_color_schemes) ) {

	foreach ($sweetmielo_color_schemes as $v) {

		$sweetmielo_choices[$v['slug']] = esc_html( $v['name'] );
	}
}

$options = array(
	'general' => array(
		'title'   => esc_html__( 'Page settings', 'sweetmielo' ),
		'type'    => 'box',
		'options' => array(		
			'general-box' => array(
				'title'   => __( 'General Settings', 'sweetmielo' ),
				'type'    => 'tab',
				'options' => array(

					'margin-layout'    => array(
						'label' => esc_html__( 'Content Margin', 'sweetmielo' ),
						'type'    => 'select',
						'description'   => esc_html__( 'Margins control for content', 'sweetmielo' ),
						'choices' => array(
							'default'  => esc_html__( 'Top And Bottom', 'sweetmielo' ),
							'top'  => esc_html__( 'Top Only', 'sweetmielo' ),
							'bottom'  => esc_html__( 'Bottom Only', 'sweetmielo' ),
							'disabled' => esc_html__( 'Margin Removed', 'sweetmielo' ),
						),
						'value' => 'default',
					),	
					'navbar-layout'    => array(
						'label' => esc_html__( 'Navbar', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'desktop'	=> esc_html__( 'Default', 'sweetmielo' ),
							'dashed'	=> esc_html__( 'White Dashed', 'sweetmielo' ),
							'transparent'	=> esc_html__( 'Transparent', 'sweetmielo' ),
							'desktop-center'	=> esc_html__( 'Center Logo', 'sweetmielo' ),
							'desktop-center-absolute'	=> esc_html__( 'Center Logo Transparent', 'sweetmielo' ),
							'logo'	=> esc_html__( 'Logo Only', 'sweetmielo' ),							
							'disabled'  	=> esc_html__( 'Hidden', 'sweetmielo' ),
						),
						'value' => 'desktop',
					),			
					'header-layout'    => array(
						'label' => esc_html__( 'Page Header', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'default'  => esc_html__( 'Default', 'sweetmielo' ),
							'disabled' => esc_html__( 'Hidden', 'sweetmielo' ),
						),
						'value' => 'default',
					),		
					'subscribe-layout'    => array(
						'label' => esc_html__( 'Subscribe Block', 'sweetmielo' ),
						'type'    => 'select',
						'description'   => esc_html__( 'Subscribe block before footer. Can be edited from Sections Menu.', 'sweetmielo' ),
						'choices' => array(
							'default'  => esc_html__( 'Default', 'sweetmielo' ),
							'disabled' => esc_html__( 'Hidden', 'sweetmielo' ),
						),
						'value' => 'default',
					),
					'footer-layout'    => array(
						'label' => esc_html__( 'Footer Block', 'sweetmielo' ),
						'type'    => 'select',
						'description'   => esc_html__( 'Footer block before footer. Edited in Widgets menu.', 'sweetmielo' ),
						'choices' => array(
							'default'  => esc_html__( 'Default', 'sweetmielo' ),
							'simple'  => esc_html__( 'Simple copyright with logo', 'sweetmielo' ),
							'copyright'  => esc_html__( 'Copyright only', 'sweetmielo' ),							
							'copyright_waves'  => esc_html__( 'Copyright waves', 'sweetmielo' ),							
							'disabled' => esc_html__( 'Hidden', 'sweetmielo' ),
						),
						'value' => 'default',
					),	
					'color-scheme'    => array(
						'label' => esc_html__( 'Color Scheme', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => $sweetmielo_choices,
						'value' => 'default',
					),												

				),
			),	
			'cpt' => array(
				'title'   => esc_html__( 'Blog / Gallery', 'sweetmielo' ),
				'type'    => 'tab',
				'options' => array(				
					'sidebar-layout'    => array(
						'label' => esc_html__( 'Blog Sidebar', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'hidden' => esc_html__( 'Hidden', 'sweetmielo' ),
							'left'  => esc_html__( 'Sidebar Left', 'sweetmielo' ),
							'right'  => esc_html__( 'Sidebar Right', 'sweetmielo' ),
						),
						'value' => 'hidden',
					),						
					'blog-layout'    => array(
						'label' => esc_html__( 'Blog Layout', 'sweetmielo' ),
						'description'   => esc_html__( 'Used only for blog pages.', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'default'  => esc_html__( 'Default', 'sweetmielo' ),
							'classic'  => esc_html__( 'One Column', 'sweetmielo' ),
							'two-cols' => esc_html__( 'Two Columns', 'sweetmielo' ),
							'three-cols' => esc_html__( 'Three Columns', 'sweetmielo' ),
						),
						'value' => 'default',
					),
					'gallery-layout'    => array(
						'label' => esc_html__( 'Gallery Layout', 'sweetmielo' ),
						'description'   => esc_html__( 'Used only for gallery pages.', 'sweetmielo' ),
						'type'    => 'select',
						'choices' => array(
							'default' => esc_html__( 'Default', 'sweetmielo' ),
							'col-2' => esc_html__( 'Two Columns', 'sweetmielo' ),
							'col-3' => esc_html__( 'Three Columns', 'sweetmielo' ),
							'col-4' => esc_html__( 'Four Columns', 'sweetmielo' ),
						),
						'value' => 'default',
					),					
				)
			)	
		)
	),
);


