<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }
/**
 * Functions that displays html parts of theme on output
 */


/**
 * Single comment function
 */
if ( !function_exists( 'sweetmielo_single_comment' ) ) {

	function sweetmielo_single_comment( $comment, $args, $depth ) {

		$GLOBALS['comment'] = $comment;
		switch ( $comment->comment_type ) {
			case 'pingback' :
				?>
				<li class="trackback"><?php esc_html_e( 'Trackback:', 'sweetmielo' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( esc_html__( 'Edit', 'sweetmielo' ), '<span class="edit-link">', '<span>' ); ?>
				<?php
				break;
			case 'trackback' :
				?>
				<li class="pingback"><?php esc_html_e( 'Pingback:', 'sweetmielo' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( esc_html__( 'Edit', 'sweetmielo' ), '<span class="edit-link">', '<span>' ); ?>
				<?php
				break;
			default :
				$author_id = $comment->user_id;
				$author_link = get_author_posts_url( $author_id );
				?>
				<li id="comment-<?php comment_ID(); ?>" <?php comment_class( 'comment_item' ); ?>>
					<div class="comment-single">
						<div class="comment-author-avatar">
							<?php echo get_avatar( $comment, 64 ); ?>
							
						</div>
						<div class="comment-content">
							<div class="comment-info">
	                            <h6 class="comment-author"><?php echo ( ! empty( $author_id ) ? '<a href="' . esc_url( $author_link ) . '">' : '') . comment_author() . ( ! empty( $author_id ) ? '</a>' : ''); ?></h6>

	                            <span class="comment-date-time">
	                            	<span class="comment-date">
	                            		<span class="comment_date_value"><?php echo get_comment_date( get_option( 'date_format' ) ); ?></span>
		                            	<?php echo esc_html__( 'at', 'sweetmielo' ); ?>
		                            	<span class="comment-time"><?php echo get_comment_date( get_option( 'time_format' ) ); ?></span>
	                            	</span>
	                            </span>
								<?php if ( $comment->comment_approved == 0 ) { ?>
								<div class="comment_not_approved"><?php esc_html_e( 'Your comment is awaiting moderation.', 'sweetmielo' ); ?></div>
								<?php } ?>	                            
							</div>
							<div class="comment_text_wrap">
								<div class="comment-text"><?php comment_text(); ?></div>
							</div>
							<?php if ( $depth < $args['max_depth'] ) { ?>
								<div class="comment-reply"><?php comment_reply_link( array_merge( $args, array(
									'depth' => $depth,
									'max_depth' => $args['max_depth'],
								) ) ); ?></div>
							<?php } ?>
						</div>
					</div>
				<?php
				break;
		}
	}
}


/**
 * Print html code with footer subscribe section
 */
if ( !function_exists( 'sweetmielo_the_subscribe_block' ) ) {
	
	function sweetmielo_the_subscribe_block() {

		global $wp_query;

	    if ( function_exists( 'FW' ) ) {

	    	$subscribe_layout = 'visible';

	        $subscribe_layout_global = fw_get_db_settings_option( 'subscribe' );

	        if ( $subscribe_layout_global == 'visible' ) {

	        	$subscribe_layout = 'visible';
	        }
	            else
	        if ( $subscribe_layout_global == 'hidden' ) {

	        	$subscribe_layout = 'disabled';
	        }

	        if ( $subscribe_layout != 'disabled' ) {

	        	// If default visibility, cheking page settings
	        	$subscribe_layout_page = fw_get_db_post_option( $wp_query->get_queried_object_id(), 'subscribe-layout' );

		        if ( $subscribe_layout_global == 'default' OR $subscribe_layout_page == 'disabled' ) {

		        	$subscribe_layout = $subscribe_layout_page;
		        }
	        	$subscribe_section = get_page_by_path( 'subscribe', OBJECT, 'sections' );
	        }

	        if ( !empty($subscribe_section) AND !empty($subscribe_layout) AND $subscribe_layout != 'disabled' ) {

	            echo '<div class="subscribe-block"><div class="container container-short">'.do_shortcode(($subscribe_section->post_content)).'</div></div>';
	        }
	    }

	    return true;
	}
}


/**
 * Print html code with topbar section
 */
if ( !function_exists( 'sweetmielo_the_topbar_block' ) ) {

	function sweetmielo_the_topbar_block() {

		global $wp_query;

	    if ( function_exists( 'FW' ) ) {

	    	$topbar_layout = 'hidden';
	        $topbar_layout = fw_get_db_settings_option( 'topbar' );

	        if ( $topbar_layout != 'hidden' ) {

	        	$topbar_section = get_page_by_path( 'top-bar', OBJECT, 'sections' );

	        	// If default visibility, cheking page settings
	        	$topbar_layout_page = fw_get_db_post_option( $wp_query->get_queried_object_id(), 'topbar-layout' );

		        if ( $topbar_layout_page == 'disabled' ) {

		        	unset($topbar_section);
		        }
	        }

	        if ( !empty($topbar_section) ) {

	        	if ($topbar_layout == 'desktop') {

	        		$topbar_class = ' hidden-ms hidden-xs hidden-sm';
	        	}
	        		else {

	        		$topbar_class = '';
	        	}

	            echo '<div class="ltx-topbar-block'.esc_attr($topbar_class).'"><div class="container">'.do_shortcode(wp_kses_post($topbar_section->post_content)).'</div></div>';
	        }
	    }

	    return true;
	}
}

/**
 * Prints Footer widgets block
 */
if ( !function_exists( 'sweetmielo_the_footer_logo_section' ) ) {

	function sweetmielo_the_footer_logo_section() {

		if ( !function_exists( 'FW' ) ) {

			return false;
		}

		$section_layout = fw_get_db_settings_option( 'footer_top_layout' );
		if ( empty ($section_layout) OR $section_layout == 'hidden' ) {

			return false;
		}

        $sweetmielo_logo = fw_get_db_settings_option( 'logo' );
		?>
		<section id="ltx-logo-footer">

			<div class="container">
	            <?php

					if ( !empty($sweetmielo_logo) ) {

						echo '<span class="logo-footer">'.wp_get_attachment_image( $sweetmielo_logo['attachment_id'], 'full' ).'</span>';
					}

					sweetmielo_the_social_footer();
	            ?>
			</div>
		</section>
		<?php		
	}
}


/**
 * Prints Footer widgets block
 */
if ( !function_exists( 'sweetmielo_the_footer_widgets' ) ) {

	function sweetmielo_the_footer_widgets( $layout = null ) {

		global $wp_query;

		if ( !function_exists( 'FW' ) ) {

			return false;
		}

        $copyright_layout = fw_get_db_post_option( $wp_query->get_queried_object_id(), 'footer-layout' );
        if ( $copyright_layout == 'simple' OR $copyright_layout == 'copyright' OR $copyright_layout == 'copyright_waves' ) {

        	return false;
        }

	    $sweetmielo_footer_cols = sweetmielo_get_footer_cols_num();
	    if ( $sweetmielo_footer_cols['num'] > 0 ): ?>
		<section id="ltx-widgets-footer">
			<div class="container container-short">
				<div class="row">
	                <?php
	                for ($x = 1; $x <= 4; $x++): ?>
	                    <?php if ( !isset($sweetmielo_footer_cols['hidden'][ $x ]) && is_active_sidebar( 'footer-' . $x ) ): ?>
						<div class="<?php echo esc_attr( $sweetmielo_footer_cols['classes'][$x] ).' '.esc_attr( $sweetmielo_footer_cols['hidden_mobile'][$x] ); ?> matchHeight clearfix">    
							<div class="footer-widget-area">
								<?php
	                                dynamic_sidebar( 'footer-' . $x );
	                            ?>
							</div>
						</div>
						<?php endif; ?>
	                <?php
	                endfor; ?>
				</div>
			</div>
		</section>
	    <?php endif;
	}
}


/**
 * Display logo
 */
if ( !function_exists( 'sweetmielo_the_logo' ) ) {

	function sweetmielo_the_logo( $layout = null ) {

		echo '<a class="logo" href="'. esc_url( home_url( '/' ) ) .'">';

		if ( function_exists( 'FW' ) ) {

			if ( empty($layout) ) {

				$sweetmielo_logo = fw_get_db_settings_option( 'logo' );	
			}
				else
			if ( $layout == 'white' ) {

				$sweetmielo_logo = fw_get_db_settings_option( 'logo-white' );	
			}
				else {

				$sweetmielo_logo = fw_get_db_settings_option( 'logo-invert' );	
			}

			$sweetmielo_current_scheme =  apply_filters ('sweetmielo_current_scheme', array());
			if ($sweetmielo_current_scheme == 'default') {

				$sweetmielo_current_scheme = 1;
			}

			$sweetmielo_color_schemes = array();
			$sweetmielo_color_schemes_ = fw_get_db_settings_option( 'items' );
			if ( !empty($sweetmielo_color_schemes_) ) {

				foreach ($sweetmielo_color_schemes_ as $v) {

					$sweetmielo_color_schemes[$v['slug']] = $v;
				}			
			}

			if ( !empty($sweetmielo_current_scheme) AND $sweetmielo_current_scheme != 'default' ) {

			}

			if ( !empty( $sweetmielo_logo ) ) {

				echo wp_get_attachment_image( $sweetmielo_logo['attachment_id'], 'full' );
			}									
		}

		if ( empty( $sweetmielo_logo ) ) {

			echo '<img src="'. esc_url( get_template_directory_uri() . '/assets/images/logo.png' ) . '" alt="' . esc_attr( get_bloginfo( 'title' ) ) . '">';
		}

		echo '</a>';
	}
}


/**
 * Prints pageloader overlay, if enabled
 */
if ( !function_exists( 'sweetmielo_the_pageloader_overlay' ) ) {

	function sweetmielo_the_pageloader_overlay() {

		if ( function_exists( 'FW' ) ) {

			$sweetmielo_pace = fw_get_db_settings_option( 'page-loader' );

			if ( !empty($sweetmielo_pace) AND ((!empty($sweetmielo_pace['loader']) AND $sweetmielo_pace['loader'] != 'disabled') OR 
			( !empty($sweetmielo_pace) AND !empty($sweetmielo_pace['loader']) AND $sweetmielo_pace['loader'] != 'disabled') ) ) {

				echo '<div id="preloader"></div>';
			}
		}
	}
}

/**
 * Print copyrights in footer
 */
if ( !function_exists( 'sweetmielo_the_copyrights' ) ) {

	function sweetmielo_the_copyrights() {

		if ( function_exists( 'FW' ) ) {

			$sweetmielo_copyrights = fw_get_db_settings_option( 'copyrights' );

			if ( !empty($sweetmielo_copyrights) ) {

				echo wp_kses_post( $sweetmielo_copyrights );	
			}
				else {
				
				echo '<p>'. esc_html__( 'Like-themes &copy; All Rights Reserved - 2018', 'sweetmielo' ) .'</p>';
			}
		}
			else {

			echo '<p>'. esc_html__( 'Like-themes &copy; All Rights Reserved - 2018', 'sweetmielo' ) .'</p>';
		}
	}
	
}

/**
 * Footer copyright block
 */
if ( !function_exists( 'sweetmielo_the_copyrights_section' ) ) {

	function sweetmielo_the_copyrights_section() {

		global $wp_query;

	    $copyright_layout = 'default';
	    if ( function_exists( 'FW' ) ) {

	        $copyright_layout = fw_get_db_post_option( $wp_query->get_queried_object_id(), 'footer-layout' );
	        $sweetmielo_logo = fw_get_db_settings_option( 'logo' );	        
	    }
		?>
		<footer class="copyright-block <?php echo 'copyright-layout-'.esc_attr($copyright_layout); ?>">
			<div class="container">
	            <?php

					if ( !empty($copyright_layout) AND ( $copyright_layout == 'simple' ) ) {

						if ( !empty($sweetmielo_logo) ) {

							echo '<span class="logo-footer">'.wp_get_attachment_image( $sweetmielo_logo['attachment_id'], 'full' ).'</span>';
						}

						sweetmielo_the_social_footer();
					}

	                sweetmielo_the_copyrights();
	                sweetmielo_the_go_top();
	            ?>
			</div>
		</footer>
		<?php
	}
}

/**
 * Displays go top icon
 */
if ( !function_exists( 'sweetmielo_the_go_top' ) ) {

	function sweetmielo_the_go_top() {

		if ( function_exists( 'FW' ) ) {

	        $sweetmielo_go_top_hide = fw_get_db_settings_option( 'go_top_hide');
	        $sweetmielo_go_top_img = fw_get_db_settings_option( 'go_top_img');

			if ( isset($sweetmielo_go_top_hide) AND $sweetmielo_go_top_hide !== true ) {

	            if ( empty($sweetmielo_go_top_img) ) {
	                
	                echo '<a href="#" class="go-top hidden-xs hidden-ms"><span class="fa fa-arrow-up"></span><span class="ltx-hex"><span class="ltx-hex-inner"></span></span></a>';
	            }
	            	else {

	            	echo '<a href="#" class="go-top go-top-img hidden-xs hidden-ms">';
	                	echo wp_get_attachment_image( $sweetmielo_go_top_img['attachment_id'], 'full' );
	            	echo '</a>';
	           	}
			}
		}
	}
}

/**
 * Blog related posts
 */
if ( !function_exists( 'sweetmielo_related_posts' ) ) {

	function sweetmielo_related_posts($id) {

		if ( !function_exists('FW') ) {

			return false;
		}

		$tags = wp_get_post_tags($id);

		if ( !empty( $tags ) ) {

			$first_tag = $tags[0]->term_id;

			$args = array(

				'tag__in' => array($first_tag),
				'post__not_in' => array($id),
				'posts_per_page' => 2,
				'ignore_sticky_posts' => 1
			);

			$my_query = new WP_Query($args);
			if ( $my_query->have_posts() ) {

				set_query_var( 'sweetmielo_featured_disabled', true );
				echo '<div class="ltx-related blog blog-block layout-two-cols">';
				echo '<h3>'.esc_html__( 'Related posts', 'sweetmielo' ).'</h3>';

				echo '<div class="row">';
				
				$x = 0;
				while ($my_query->have_posts()) {

					$x++;
					$my_query->the_post();

					$class = '';		

					echo '<div class="col-xl-6 col-lg-6 '.esc_attr($class).'">';
						get_template_part( 'tmpl/post-formats/list' );				
					echo '</div>';
				}

				echo '</div>';

				echo '</div>';				
			}

			wp_reset_query();
			set_query_var( 'sweetmielo_featured_disabled', false );
		}
	}
}

/**
 * Blog post author info block
 */
if ( !function_exists( 'sweetmielo_author_bio' ) ) {

	function sweetmielo_author_bio( ) {
	 
		global $post;
	 
		$content = '';

		if ( is_single() && isset( $post->post_author ) ) {
	 
			$display_name = get_the_author_meta( 'display_name', $post->post_author );

	 		if ( empty( $display_name ) ) {

	 			$display_name = get_the_author_meta( 'nickname', $post->post_author );
	 		}
	 
			$user_description = get_the_author_meta( 'user_description', $post->post_author );

			// No author info, nothing no show
			if ( empty( $user_description ) ) {

				return false;
			}
	 
			$user_website = get_the_author_meta('url', $post->post_author);
	 
			$user_posts = get_author_posts_url( get_the_author_meta( 'ID' , $post->post_author));
	  
			if ( ! empty( $display_name ) ) {

				$author_details = '<p class="author-name">'. esc_html__( 'Author', 'sweetmielo' ) . '</p><h5>'. $display_name . '</h5>';
			}
	 
			if ( ! empty( $user_description ) ) {

				$author_details .= '<p class="author-details">' . wp_kses_post( nl2br( $user_description ) ). '</p>';
			}
	  
			$author_details .= '<p class="author-links">';

				if ( ! empty( $user_website ) ) {
				 
					$author_details .= '<a href="' . esc_url( $user_website ) .'" target="_blank" rel="nofollow">'. esc_html__( 'Website', 'sweetmielo' ) . '</a><span class="i">|</span>';
				}

				$author_details .= '<a href="'. esc_url( $user_posts ) .'" class="btn btn-main btn-xs">'. esc_html__( 'All posts', 'sweetmielo' ) . '</a>';  
		 
			$author_details .= '</p>';

	 
			$content = '<section class="ltx-author-bio">';
				$content .= '<div class="author-image">';
					$content .= get_avatar( get_the_author_meta('user_email'), 90 );
				$content .= '</div>';
				$content .= '<div class="author-info">';
					$content .= $author_details;
				$content .= '</div>';
			$content .= '</section>';
		}

		echo wp_kses_post( $content );
	}
}

/**
 * Displays post top info
 */

if ( !function_exists( 'sweetmielo_get_the_post_headline' ) ) {

	function sweetmielo_get_the_post_headline( ) {

		echo '<div class="ltx-post-headline">';
		echo '<a href="'. esc_url( get_the_permalink() ) .'" class="ltx-date"><span class="fa fa-calendar"></span> <span class="dt">'.get_the_date().'</span></a>';
		if ( in_array( 'category', get_object_taxonomies( get_post_type() ) ) && sweetmielo_categorized_blog() ) {
			
			echo '<span class="i">/</span>';
			sweetmielo_get_the_cats_archive();
		}
		echo '</div>';
	}
}

/**
 * Displays cats for posts archive
 */

if ( !function_exists( 'sweetmielo_get_the_cats_archive' ) ) {

	function sweetmielo_get_the_cats_archive(  ) {

		if ( in_array( 'category', get_object_taxonomies( get_post_type() ) ) && sweetmielo_categorized_blog() ) {

			$category = get_the_category();

			echo '<span class="ltx-cats">';
			echo '<a href="' . esc_url( get_category_link( $category[0]->term_id ) ) . '">' . $category[0]->cat_name . '</a>';
			echo '</span>';
		}
	}
}

/**
 * Displays Blog post info icons block
 * 
 */
if ( !function_exists( 'sweetmielo_the_post_info' ) ) {

	function sweetmielo_the_post_info( $authorby = true, $commentsText = false ) {

		$wrapper = true;

	    if ( $wrapper ) {

	    	echo '<ul>';
	    }

	    if ( $authorby ) {

			echo '<li class="user">'.get_avatar( get_the_author_meta('user_email'), 50 ).'<span class="info">'. esc_html__( 'By', 'sweetmielo' ) . ' ' .get_the_author_link().'</span></li>';
		}
	    	else {

			echo '<li><a href="'. esc_url( get_the_permalink() ) .'" class="date">'.get_the_date().'</a></li>';

	   	}

		if ( function_exists( 'pvc_post_views' ) ) {

			echo '<li class="icon-fav">
				<span class="fa fa-eye"></span> <i>'.esc_html( strip_tags( pvc_post_views(get_the_ID(), false) ) ) .'</i>
			</li>';
		}
	    
	    if ( ! post_password_required() && ( comments_open() || get_comments_number() ) ) {

	    	echo '<li class="icon-comments"><span class="fa fa-commenting"></span><a href="'. esc_url( get_the_permalink() ) .'">';

	    	if ( !empty($commentsText) )  {

		    	echo get_comments_number_text( 
		    		esc_html__('0 comments', 'sweetmielo'), esc_html__('1 comment', 'sweetmielo'), esc_html__('% comments', 'sweetmielo')
		    	);
		    }
		    	else {

	    		echo get_comments_number( '0', '1', '%' );
	    	}

	    	echo '</a></li>';
	    }

	    if ( $wrapper ) {

	    	echo '</ul>';
	    }
	}
}

/**
 * Displays Navigation bar icons
 * 
 */
if ( !function_exists( 'sweetmielo_the_navbar_icons' ) ) {

	function sweetmielo_the_navbar_icons( $layout = null, $mobile = false ) {

		global $user_ID;

		if ( !function_exists( 'FW' ) ) { return false; }

		$basket_icon = fw_get_db_settings_option( 'basket-icon' );
		$icons = fw_get_db_settings_option( 'navbar-icons' );
		$basket_only = false;

		if ( $mobile ) {

		}
			else
		if ( $layout == 'basket-only' AND $basket_icon == 'mobile' ) {

			$basket_only = true;
		}

		$items = '';
		if ( !empty($icons) ) {

			foreach ($icons as $item) {

				if ( !empty( $basket_only ) AND $item['type']['type_radio'] != 'basket' ) continue;

				$li_class = '';
				if ( empty($mobile) AND empty( $basket_only ) ) {

					if ( empty($item['icon-visible']) || $item['icon-visible'] != 'visible-mob' ) {

						$li_class = ' hidden-md hidden-sm hidden-ms hidden-xs';
					}
						else {

						$li_class = ' hidden-xs';
					}				
				}

				$custom_icon = '';
				if ( $item['icon-type']['icon_radio'] == 'fa' AND !empty($item['icon-type']['fa']['icon_fa']) ) {

					$custom_icon = $item['icon-type']['fa']['icon_fa'];
				}

				if ( $item['type']['type_radio'] == 'search') {

					if ( empty( $custom_icon ) ) { $custom_icon = 'fa-search'; }

					if ( !empty($mobile) ) {

						$id = ' id="top-search-ico-mobile" ';
						$close = '';
					}	
						else {

						$id = ' id="top-search-ico" ';
						$close = '<a href="#" id="top-search-ico-close" class="top-search-ico-close fa fa-close" aria-hidden="true"></a>';
					}

					$items .= '
					<li class="ltx-fa-icon ltx-nav-search  '.esc_attr($li_class).'">
						<div class="top-search" data-home-url="'.esc_url(home_url()).'">
							<a href="#" '.$id.' class="top-search-ico fa '. esc_attr($custom_icon) .'" aria-hidden="true"></a>
							'.$close.'
							<input placeholder="'.esc_attr__( 'Search', 'sweetmielo' ).'" value="'. esc_attr( get_search_query() ) .'" type="text">
						</div>
					</li>';
				}

				if ( $item['type']['type_radio'] == 'basket' AND sweetmielo_is_wc('wc_active')) {

					if ( empty( $custom_icon ) ) { $custom_icon = 'fa-shopping-bag'; }

					$items .= '
						<li class="ltx-fa-icon ltx-nav-cart '.esc_attr($li_class).'">
							<div class="cart-navbar">
								<a href="'. wc_get_cart_url() .'" class="ltx-cart cart shop_table" title="'. esc_attr__( 'View your shopping cart', 'sweetmielo' ). '">';

									if ( $item['type']['basket']['count'] == 'show' ) {

										$items .= '<span class="cart-contents header-cart-count count">'.WC()->cart->get_cart_contents_count().'</span>';
									}

									$items .= '<i class="fa '. esc_attr($custom_icon) .'" aria-hidden="true"></i>
								</a>
							</div>
						</li>';
				}

				if ( $item['type']['type_radio'] == 'profile' ) {

					if ( empty( $custom_icon ) ) { $custom_icon = 'fa-user'; }

					$header = '';
					$userInfo = get_userdata($user_ID);
					if ( !empty($userInfo) ) $header = $userInfo->user_login;
						else
					if ( empty($userInfo) AND !empty($item['type']['profile']['header']) ) $header = $item['type']['profile']['header'];

					$items .= '
						<li class="ltx-fa-icon ltx-nav-profile menu-item-has-children '.esc_attr($li_class).'">
							<a href="'. get_permalink( get_option('woocommerce_myaccount_page_id') ) .'"><span class="fa '. esc_attr($custom_icon) .'"></span>
							 '.esc_html( $header ).'</a>';

						$items .= '</li>';
				}

				if ( $item['type']['type_radio'] == 'social' AND !empty($custom_icon)) {

					$items .= '
						<li class="ltx-fa-icon ltx-nav-social '.esc_attr($li_class).'">
							<a href="'. esc_url( $item['type']['social']['href'] ) .'" class="fa '. esc_attr($custom_icon) .'" target="_blank">
							</a>
						</li>';
				}	
			}
		}

		if ( !empty($items) ) {

			if ( empty( $mobile ) ) {

				echo '<div class="ltx-navbar-icons"><ul>'.$items.'</ul></div>';
			}
				else {

				echo '<div><ul>'.$items.'</ul></div>';
			}
		}
	}
}


/**
 * Get page breadcrumbs
 */
if ( !function_exists( 'sweetmielo_the_breadcrumbs' ) ) {

	function sweetmielo_the_breadcrumbs() {

		if ( function_exists( 'bcn_display' ) && !is_front_page() ) {

			echo '<ul class="breadcrumbs" typeof="BreadcrumbList" vocab="https://schema.org/">';
			bcn_display_list();
			echo '</ul>';
		}
	}
}

/**
 * Social icons in header
 */
if ( !function_exists( 'sweetmielo_the_social_header' ) ) {

	function sweetmielo_the_social_header() {

		if ( function_exists( 'FW' ) ) {
			
			$sweetmielo_social = fw_get_db_settings_option( 'header-social' );
			$sweetmielo_social_text = fw_get_db_settings_option( 'header-social-text' );

			if ( $sweetmielo_social == 'enabled' ) {

				do_shortcode('[sweetmielo-social text="'.esc_attr( $sweetmielo_social_text ).'"]');
			}
		}
	}
}
	
/**
 * Social icons in footer
 */
if ( !function_exists( 'sweetmielo_the_social_footer' ) ) {

	function sweetmielo_the_social_footer() {

		// In this theme we using same markup as header
		sweetmielo_the_social_header();
	}
}		

/**
 * Social icons in navbar
 */
if ( !function_exists( 'sweetmielo_the_navbar_social' ) ) {

	function sweetmielo_the_navbar_social($navbar_layout) {

		global $wp_query;

		if ( function_exists( 'FW' ) ) {

//			$navbar_layout = fw_get_db_post_option( $wp_query->get_queried_object_id(), 'navbar-layout' );

			if ( empty( $navbar_layout ) OR $navbar_layout == 'transparent' OR $navbar_layout == 'white' OR $navbar_layout == 'default' ) $navbar_layout = 'desktop';

			if ( !empty( $navbar_layout ) AND $navbar_layout != 'desktop' ) {

				echo '<div class="navbar-social">';
				
				$sweetmielo_social = fw_get_db_settings_option( 'header-social' );
				$sweetmielo_social_text = fw_get_db_settings_option( 'header-social-text' );

				if ( $sweetmielo_social == 'enabled' ) {

					do_shortcode('[sweetmielo-social text-before="'.esc_attr( $sweetmielo_social_text ).'"]');
				}

				echo '</div>';
			}
		}
	}
}

