<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }
/**
 * Theme Configuration
 */

/*
* Adding additional TinyMCE options
*/
function sweetmielo_wpb_mce_buttons_2($buttons) {
    array_unshift($buttons, 'styleselect');
    return $buttons;
}
add_filter('mce_buttons_2', 'sweetmielo_wpb_mce_buttons_2');

function sweetmielo_mce_before_init_insert_formats( $init_array ) {  

    $style_formats = array(

        array(  
            'title' => esc_html__('Main Color', 'sweetmielo'),
            'block' => 'span',  
            'classes' => 'color-main',
            'wrapper' => true,
        ),  
        array(  
            'title' => esc_html__('Second Color', 'sweetmielo'),
            'block' => 'span',  
            'classes' => 'color-second',
            'wrapper' => true,
        ),
        array(  
            'title' => esc_html__('White Color', 'sweetmielo'),
            'block' => 'span',  
            'classes' => 'color-white',
            'wrapper' => true,   
        ),
        array(  
            'title' => esc_html__('Large Text', 'sweetmielo'),
            'block' => 'span',  
            'classes' => 'text-lg',
            'wrapper' => true,
        ),    
        array(  
            'title' => esc_html__('Line Height Double', 'sweetmielo'),
            'block' => 'span',  
            'classes' => 'line-height-2',
            'wrapper' => true,
        ),         
        array(  
            'title' => 'List Checkbox',
            'selector' => 'ul',
            'classes' => 'check',
        ),          

    );  
    $init_array['style_formats'] = json_encode( $style_formats );  
     
    return $init_array;  
} 
add_filter( 'tiny_mce_before_init', 'sweetmielo_mce_before_init_insert_formats' ); 


/**
 * Config used for lt-ext plugin to set Visual Composer configuration
 */
add_filter( 'ltx_get_vc_config', 'sweetmielo_vc_config', 10, 1 );
function sweetmielo_vc_config( $value ) {

    return array(
    	'sections'	=>	array(
			esc_html__("Displaced floating section", 'sweetmielo') 		=> "displaced-top",			
			esc_html__("White Top Space", 'sweetmielo') 		=> "white-space-top",			
			esc_html__("Flying Bees", 'sweetmielo') 		=> "ltx-bees",
			esc_html__("Contacts Block", 'sweetmielo') 		=> "ltx-contacts-section",		
			esc_html__("Honey Video", 'sweetmielo') 		=> "ltx-tech",
			esc_html__("Burger Icons", 'sweetmielo') 		=> "ltx-burger-icons",
		),
		'background' => array(
			esc_html__( "Main Color", 'sweetmielo' ) => "theme_color",
			esc_html__( "Second Color", 'sweetmielo' ) => "second",			
			esc_html__( "Gray", 'sweetmielo' ) => "gray",
			esc_html__( "White", 'sweetmielo' ) => "white",
			esc_html__( "Black", 'sweetmielo' ) => "black",			
		),
		'overlay'	=> array(
			esc_html__( "Second Color Soft-Light", 'sweetmielo' ) => "second-soft",
			esc_html__( "Black Overlay", 'sweetmielo' ) => "black",
			esc_html__( "Dark Overlay", 'sweetmielo' ) => "dark",
			esc_html__( "Extra Black", 'sweetmielo' ) => "xblack",
			esc_html__( "Hexagen", 'sweetmielo' ) => "hex",
		),
	);
}


/**
 * Register widget areas.
 *
 */
function sweetmielo_action_theme_widgets_init() {

	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar Default', 'sweetmielo' ),
		'id'            => 'sidebar-1',
		'description'   => esc_html__( 'Displayed in the right/left section of the site.', 'sweetmielo' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="header-widget">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar WooCommerce', 'sweetmielo' ),
		'id'            => 'sidebar-wc',
		'description'   => esc_html__( 'Displayed in the right/left section of the site.', 'sweetmielo' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="header-widget">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => esc_html__( 'Footer 1', 'sweetmielo' ),
		'id'            => 'footer-1',
		'description'   => esc_html__( 'Displayed in the footer section of the site.', 'sweetmielo' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4 class="header-widget">',
		'after_title'   => '</h4>',
	) );			

	register_sidebar( array(
		'name'          => esc_html__( 'Footer 2', 'sweetmielo' ),
		'id'            => 'footer-2',
		'description'   => esc_html__( 'Displayed in the footer section of the site.', 'sweetmielo' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4 class="header-widget">',
		'after_title'   => '</h4>',
	) );			

	register_sidebar( array(
		'name'          => esc_html__( 'Footer 3', 'sweetmielo' ),
		'id'            => 'footer-3',
		'description'   => esc_html__( 'Displayed in the footer section of the site.', 'sweetmielo' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4 class="header-widget">',
		'after_title'   => '</h4>',
	) );			

	register_sidebar( array(
		'name'          => esc_html__( 'Footer 4', 'sweetmielo' ),
		'id'            => 'footer-4',
		'description'   => esc_html__( 'Displayed in the footer section of the site.', 'sweetmielo' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4 class="header-widget">',
		'after_title'   => '</h4>',
	) );			

}

add_action( 'widgets_init', 'sweetmielo_action_theme_widgets_init' );



/**
 * Additional styles init
 */
function sweetmielo_css_style() {

	global $wp_query;

	wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/assets/css/bootstrap-grid.css', array(), '1.0' );

	wp_enqueue_style( 'sweetmielo-plugins-css', get_template_directory_uri() . '/assets/css/plugins.css', array(), wp_get_theme()->get('Version') );

	wp_enqueue_style( 'sweetmielo-theme-style', get_stylesheet_uri(), array( 'bootstrap', 'sweetmielo-plugins-css' ), wp_get_theme()->get('Version') );

	if ( function_exists( 'fw_get_db_settings_option' ) ){

		$heading_bg = fw_get_db_settings_option( 'heading_bg' );
		if (! empty( $heading_bg ) ) {

			wp_add_inline_style( 'sweetmielo-theme-style', '.heading.bg-image { background-image: url(' . esc_url( $heading_bg['url'] ) . ') !important; } ' );
		}

		$header_bg = fw_get_db_settings_option( 'header_bg' );
		$featured_bg = fw_get_db_settings_option( 'featured_bg' );

		$services_header_bg = fw_get_db_settings_option( 'services_header_bg' );
		if ( !empty(is_post_type_archive('services') ) ) {

		}

		if (! empty( $header_bg ) OR $featured_bg == 'enabled' ) {

			if ( has_post_thumbnail() && $featured_bg == 'enabled') {


				wp_add_inline_style( 'sweetmielo-theme-style', '.page-header { background-image: url(' . esc_url( get_the_post_thumbnail_url( $wp_query->get_queried_object_id(), 'full') ) . ') !important; } ' );
			}
				else {

				wp_add_inline_style( 'sweetmielo-theme-style', '.page-header { background-image: url(' . esc_url( $header_bg['url'] ) . ') !important; } ' );
			}
		}

		$header_overlay = fw_get_db_settings_option( 'header_overlay' );
		$header_overlay_position = fw_get_db_settings_option( 'header_overlay_position' );
		if (! empty( $header_overlay ) ) {

			wp_add_inline_style( 'sweetmielo-theme-style', '.page-header::after { background-image: url(' . esc_url( $header_overlay['url'] ) . ') !important; } ' );
		}

		$theme_icon = fw_get_db_settings_option( 'theme-icon-main' );
		if (! empty( $theme_icon ) ) {

			wp_add_inline_style( 'sweetmielo-theme-style', '.theme-icon-main { background-image: url(' . esc_url( $theme_icon['url'] ) . ') !important; } ' );
		}

		$theme_icon_second = fw_get_db_settings_option( 'theme-icon-second' );
		if (! empty( $theme_icon_second ) ) {

			wp_add_inline_style( 'sweetmielo-theme-style', '.woocommerce-MyAccount-navigation .header-widget, .widget-area .header-widget, .theme-icon-second { background-image: url(' . esc_url( $theme_icon_second['url'] ) . ') !important; } ' );
		}

		$footer_bg = fw_get_db_settings_option( 'footer_bg' );
		if (! empty( $footer_bg ) ) {

			wp_add_inline_style( 'sweetmielo-theme-style', '#ltx-widgets-footer { background-image: url(' . esc_url( $footer_bg['url'] ) . ') !important; } ' );
		}

		$footer_top_bg = fw_get_db_settings_option( 'footer_top_bg' );
		if (! empty( $footer_top_bg ) ) {

			wp_add_inline_style( 'sweetmielo-theme-style', '#ltx-logo-footer { background-image: url(' . esc_url( $footer_top_bg['url'] ) . ') !important; } ' );
		}

		$subscribe_bg = fw_get_db_settings_option( 'subscribe_bg' );
		if (! empty( $subscribe_bg ) ) {

			wp_add_inline_style( 'sweetmielo-theme-style', '.subscribe-block { background-image: url(' . esc_url( $subscribe_bg['url'] ) . ') !important; } ' );
		}

		$bg_404 = fw_get_db_settings_option( '404_bg' );
		if (! empty( $bg_404 ) ) {

			wp_add_inline_style( 'sweetmielo-theme-style', 'body.error404 { background-image: url(' . esc_url( $bg_404['url'] ) . ') !important; } ' );
		}

		$go_top_img = fw_get_db_settings_option( 'go_top_img' );
		if (! empty( $go_top_img ) ) {

			wp_add_inline_style( 'sweetmielo-theme-style', '.go-top:before { background-image: url(' . esc_url( $go_top_img['url'] ) . ') !important; } ' );
		}

		$logo_height = fw_get_db_customizer_option('logo_height');
		if ( !empty($logo_height) ) {

			wp_add_inline_style( 'sweetmielo-theme-style', 'nav.navbar .logo img { max-height: '.esc_attr($logo_height).'px; } ' );			
		}

		$sweetmielo_pace = fw_get_db_settings_option( 'page-loader' );
		if ( !empty($sweetmielo_pace) AND !empty($sweetmielo_pace['image']) AND !empty($sweetmielo_pace['image']['loader_img'])) {

			wp_add_inline_style( 'sweetmielo-theme-style', '.paceloader-image .pace-image { background-image: url(' . esc_attr( $sweetmielo_pace['image']['loader_img']['url'] ) . ') !important; } ' );
		}

	}
}
add_action( 'wp_enqueue_scripts', 'sweetmielo_css_style' );

