<?php
/**
 * The default template for displaying standard post format
 */

$post_class = '';
$featured = get_query_var( 'sweetmielo_featured_disabled' );
if ( function_exists( 'FW' ) AND empty ( $featured ) ) {

	$featured_post = fw_get_db_post_option(get_The_ID(), 'featured');
	if ( !empty($featured_post) ) {

		$post_class = 'ltx-featured-post';
	}
}

?>
<article id="post-<?php the_ID(); ?>" <?php post_class( esc_attr($post_class) ); ?>>
	<?php 
		if ( has_post_thumbnail() ) {

			$sweetmielo_photo_class = 'photo';
        	$sweetmielo_layout = get_query_var( 'sweetmielo_layout' );

			$sweetmielo_image_src = wp_get_attachment_image_src( get_post_thumbnail_id( get_The_ID()), 'full' );
			if ($sweetmielo_image_src[2] > $sweetmielo_image_src[1]) $sweetmielo_photo_class .= ' vertical';
			
		    echo '<a href="'.esc_url(get_the_permalink()).'" class="'.esc_attr($sweetmielo_photo_class).'">';

        	if ( !empty($featured_post) ) {
			 
			    echo '<span class="ltx-featured-label">'.esc_html__( 'Featured', 'sweetmielo' ).'</span>';
			}

			the_post_thumbnail('sweetmielo-blog');

		    echo '</a>';
		}
	?>
    <div class="description">
		<?php
				sweetmielo_get_the_post_headline();
		?>    
        <a href="<?php esc_url( the_permalink() ); ?>" class="header"><h4><?php the_title(); ?></h4></a>
        <div class="text text-page">
			<?php
				add_filter( 'the_content', 'sweetmielo_excerpt' );
			    if( strpos( $post->post_content, '<!--more-->' ) ) {

			        the_content( esc_html__( 'Read more', 'sweetmielo' ) );
			    }
			    	else
			    if ( !has_post_thumbnail() OR empty($featured_post) ) {

			    	if ( get_post_format() != 'image' ) {

			    		the_excerpt();
			    	}
			    }	
			?>
        </div>   
		<div class="blog-info">
			<?php
           		sweetmielo_the_post_info();
			?>	
	    </div>      
	    <div class="clearfix"></div>
    </div>    
</article>